corda / net.corda.flows / CashIssueFlow / <init>

# <init>

`CashIssueFlow(amount: Amount<Currency>, issueRef: OpaqueBytes, recipient: Party, notary: Party)`

`CashIssueFlow(amount: Amount<Currency>, issueRef: OpaqueBytes, recipient: Party, notary: Party, progressTracker: ProgressTracker)`

Initiates a flow that produces cash issuance transaction.

### Parameters

`amount` - the amount of currency to issue.

`issueRef` - a reference to put on the issued currency.

`recipient` - the party who should own the currency after it is issued.

`notary` - the notary to set on the output states.